Delete a database
curl --request DELETE \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"status": "PENDING",
"region": "AWS_US_WEST_2",
"expandable": true,
"apiHost": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z",
"dbHost": "<string>",
"sharded": true
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}databases
Delete a database
Marks a database as deleted and queues its data for deletion. The database will no longer appear in your Nile dashboard. You will be able to connect to it and operate on it while it is queued for deletion, but compute costs still apply.
DELETE
/
workspaces
/
{workspaceSlug}
/
databases
/
{databaseName}
Delete a database
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Database deleted
Minimum string length:
1Show child attributes
Show child attributes
Available options:
PENDING, REQUESTED, BUILT, READY Available options:
AWS_US_WEST_2, AWS_EU_CENTRAL_1, AZURE_EASTUS Was this page helpful?
⌘I